DROP TABLE CRST_AR_RECEIVABLES_TRX_ALL;

CREATE TABLE CRST_AR_RECEIVABLES_TRX_ALL
(
  RECEIVABLES_TRX_ID              NUMBER(15)    NOT NULL,
  LAST_UPDATED_BY                 NUMBER(15)    NOT NULL,
  LAST_UPDATE_DATE                DATE          NOT NULL,
  LAST_UPDATE_LOGIN               NUMBER(15),
  CREATION_DATE                   DATE,
  CREATED_BY                      NUMBER(15),
  NAME                            VARCHAR2(50 BYTE) NOT NULL,
  CODE_COMBINATION_ID             NUMBER(15),
  SET_OF_BOOKS_ID                 NUMBER(15)    NOT NULL,
  DESCRIPTION                     VARCHAR2(240 BYTE),
  STATUS                          VARCHAR2(30 BYTE) NOT NULL,
  TYPE                            VARCHAR2(30 BYTE),
  START_DATE_ACTIVE               DATE,
  END_DATE_ACTIVE                 DATE,
  DEFAULT_ACCTG_DISTRIBUTION_SET  NUMBER,
  INACTIVE_DATE                   DATE,
  ATTRIBUTE_CATEGORY              VARCHAR2(30 BYTE),
  ATTRIBUTE1                      VARCHAR2(150 BYTE),
  ATTRIBUTE2                      VARCHAR2(150 BYTE),
  ATTRIBUTE3                      VARCHAR2(150 BYTE),
  ATTRIBUTE4                      VARCHAR2(150 BYTE),
  ATTRIBUTE5                      VARCHAR2(150 BYTE),
  ATTRIBUTE6                      VARCHAR2(150 BYTE),
  ATTRIBUTE7                      VARCHAR2(150 BYTE),
  ATTRIBUTE8                      VARCHAR2(150 BYTE),
  ATTRIBUTE9                      VARCHAR2(150 BYTE),
  ATTRIBUTE10                     VARCHAR2(150 BYTE),
  ATTRIBUTE11                     VARCHAR2(150 BYTE),
  ATTRIBUTE12                     VARCHAR2(150 BYTE),
  ATTRIBUTE13                     VARCHAR2(150 BYTE),
  ATTRIBUTE14                     VARCHAR2(150 BYTE),
  ATTRIBUTE15                     VARCHAR2(150 BYTE),
  ORG_ID                          NUMBER(15),
  GLOBAL_ATTRIBUTE1               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(30 BYTE),
  GLOBAL_ATTRIBUTE20              VARCHAR2(150 BYTE),
  ASSET_TAX_CODE                  VARCHAR2(50 BYTE),
  LIABILITY_TAX_CODE              VARCHAR2(50 BYTE),
  GL_ACCOUNT_SOURCE               VARCHAR2(30 BYTE),
  TAX_CODE_SOURCE                 VARCHAR2(30 BYTE),
  TAX_RECOVERABLE_FLAG            VARCHAR2(1 BYTE),
  ACCOUNTING_AFFECT_FLAG          VARCHAR2(1 BYTE),
  RISK_ELIMINATION_DAYS           NUMBER,
  RECEIVABLES_TRX_ID_N            NUMBER(15),
  ORG_ID_N                        NUMBER(15)
);
